Loading...
Searching...
No Matches
caf::down_msg Struct Reference

Sent to all actors monitoring an actor when it is terminated. More...

`#include <system_messages.hpp>`

## Public Attributes

actor_addr | source
| The source of this message, i.e., the terminated actor.
error | reason
| The exit reason of the terminated actor.

## Related Symbols

(Note that these are not member symbols.)
bool | operator== (const down_msg &x, const down_msg &y) noexcept
bool | operator!= (const down_msg &x, const down_msg &y) noexcept
template<class Inspector>
Inspector::result_type | inspect (Inspector &f, down_msg &x)

## Detailed Description

Sent to all actors monitoring an actor when it is terminated.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/system_messages.hpp